{% extends 'base.html' %}
{% load static %}
{% block content %}
{% block tambahStyle %}
<style>
    body{
        background-color: #DCE5D2;
    }
    .content{
        margin-bottom: 100px;
        margin-top: 40px;
        margin-left: 100px;
        margin-right: 100px;
    }
</style>
{% endblock tambahStyle %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<div class="content">
<h1>Blog Posts</h1>

    <div class="search-blog">
        <h1>Cari Blogpost</h1>
        <input id="keyword" type="search" placeholder="Masukkan kata kunci">
    </div>
        <div class="list-berita">
            <div class="row" >
        <ul id="cobahasil">
        {% for post in object_list %}
            <li><a href="{% url 'blog-detail' post.pk %}">{{post.title}}</a> - {{post.writer}}<br/>
            {{post.body|truncatewords:20}}</li>
        {% endfor %}
        </ul>
    </div>
    
</div>

<script type="text/javascript">

    $("#keyword").keydown(function() {
        $(this).css("background-color", '#dce5d2');
    })

    $("#keyword").keyup(function () {
        $(this).css("background-color", '#ffffff');
        var isi_keyword = $("#keyword").val();
        console.log(isi_keyword);
        cari(isi_keyword)
    })

    function cari(data) {
        $.ajax({
            async: true,
            url: "cari",
            data: JSON.stringify({ searchText: data }),
            type: "POST",
            success: function (hasil) {
                console.log(hasil);
                var obj_hasil = $("#cobahasil");
                obj_hasil.empty();
                for (i = 0; i < hasil.length; i++) {
                    var tmp_title = hasil[i].title;
                    var tmp_writer = hasil[i].writer;
                    var tmp_body = hasil[i].body;
                    var tmp_id = hasil[i].id;
                    console.log(tmp_title);
                    obj_hasil.append(
                        "<div>" +
                            "<li>" +
                            '<a href="article/' + tmp_id + '">' +
                            tmp_title + "</a>" + "-" + tmp_writer + "<br/>" +
                            tmp_body + 
                            "</li>" +
                        "</div>"
                    );
                }
            }
        })
    }
</script>

{% endblock %}